require 'rails_helper'

RSpec.describe Hermes::HousingApplication, type: :model do 
  describe 'edit with change status' do
    let!(:applicant) { create(:applicant) }
    let!(:housing_offer1) do
      create(
        :housing_offer,
        typology: 'T2',
        external_ref: 'blabli'
      )
    end

    let!(:housing_request1) do
      create(
        :housing_request,
        is_active: true,
        main_applicant: applicant
      )
    end
    let!(:housing_application1) do
      create(
        :housing_application,
        housing_offer_id: housing_offer1.id,
        housing_request_id: housing_request1.id,
        status: 'Inscription CAL'
      )
    end

    it 'trigger sopra flux' do
      housing_application1.status = 'Visite effectuée'
      after_create_res = housing_application1.after_save_actions
      expect(after_create_res[:exectuted]).to eq(true)
    end
  end
end
